<template>
  <el-table :data="product" stripe style="width: 100%">
    <el-table-column label="ภาพประกอบ" width="180">
      <template v-slot="scope">
        <div class="demo-image__preview">
          <el-image
            style="width: 100px; height: 100px"
            :src="`/storage/uploads/${scope.row.main_filename}`"
            :preview-src-list="getfilename(scope.row)"
          >
          </el-image>
        </div>
      </template>
    </el-table-column>
    <el-table-column prop="name" label="ชื่อสินค้า" min-width="200">
    </el-table-column>
    <el-table-column prop="project.name" label="จากโครงการ" min-width="200">
    </el-table-column>
    <el-table-column prop="date" label="จัดการ" width="180">
      <template v-slot="scope">
        <div class="flex justify-end">
          <button
            class="
              transition
              duration-200
              ease-in-out
              transform
              hover:-translate-y-1
              px-3
              py-1
              bg-gradient-to-r
              from-yellow-500
              to-yellow-300
              rounded-md
              text-white
              shadow-md
              focus:outline-none
            "
            @click="editBtn(scope.row)"
          >
            อัพเดท
          </button>
          <div class="mx-1"></div>
          <button
            class="
              transition
              duration-200
              ease-in-out
              transform
              hover:-translate-y-1
              px-3
              py-1
              bg-gradient-to-r
              from-red-600
              to-red-400
              rounded-md
              text-white
              shadow-md
              focus:outline-none
            "
            @click="deleteProject(scope.row)"
          >
            ลบ
          </button>
        </div>
      </template>
    </el-table-column>
  </el-table>
</template>

<script>
import { toRefs } from "@vue/reactivity";
import { onMounted } from "@vue/runtime-core";
import { Inertia } from '@inertiajs/inertia';
import { Toast } from '@/Pages/Admin/Project/index.vue';
import Swal from "sweetalert2";
export default {
  props: {
    product: Array,
  },
  setup(props) {
    const { product } = toRefs(props);
    onMounted(() => {
      console.log(product.value);
    });
    const getfilename = (item) => {
      let filename = [];
      filename.push(`/storage/uploads/${item.main_filename}`);
      item.filenames.forEach((item) => {
        filename.push(`/storage/uploads/${item.filename}`);
      });
      return filename;
    };
    const deleteProject = async ({ id }) => {
      const { isConfirmed } = await Swal.fire({
        title: "คุณแน่ใจไหม?",
        text: "คุณจะไม่สามารถกู้ข้อมูลคืนได้!",
        icon: "warning",
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "ใช่, ลบเลย!",
        cancelButtonText: "ยกเลิก!",
      });
      if (!isConfirmed) return false;
      Inertia.delete(route("admin.products.destroy", { product: id }), {
        onError: (err) => {
          console.log(err);
        },
        onSuccess: () => {
          Toast.fire({
            icon: "success",
            title: "ลบข้อมูลโครงการสำเร็จ ",
          });
        },
      });
    };

    const editBtn = (row) => {
      Inertia.get(
        route("admin.products.edit", {
          product: row.id,
        })
      );
    };

    return {
      editBtn,
      deleteProject,
      getfilename,
    };
  },
};
</script>

<style>
</style>
